org.rrd4j.core

## Class RrdLong<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdLong<U>

- Type Parameters:
    `U` - The type of RrdUpdater this primitive belongs to

      class RrdLong<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD primitive type for handling long integer values.

  This class provides methods to store and retrieve long integer values in RRD files. It includes caching support for performance optimization when the backend allows it.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdLong(RrdUpdater<U> updater)`
    `RrdLong(RrdUpdater<U> updater, boolean isConstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) long` | `get()` Gets the long value.
    `(package private) void` | `set(long value)` Sets the long value.

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdLong

          RrdLong(RrdUpdater<U> updater)

    - #### RrdLong

          RrdLong(RrdUpdater<U> updater,
                  boolean isConstant)

  - ### Method Detail

    - #### get

          long get()
            throws IOException

      Gets the long value.
      Returns:
        the long value
      Throws:
        `IOException` - if an I/O error occurs

    - #### set

          void set(long value)
            throws IOException

      Sets the long value.
      Parameters:
        `value` - the long value to set
      Throws:
        `IOException` - if an I/O error occurs